# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: ryax/common/infrastructure/messaging/messages/runner_messages.proto
# Protobuf Python Version: 4.25.1
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import symbol_database as _symbol_database
from google.protobuf.internal import builder as _builder
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from google.protobuf import struct_pb2 as google_dot_protobuf_dot_struct__pb2


DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\nCryax/common/infrastructure/messaging/messages/runner_messages.proto\x12\x06runner\x1a\x1cgoogle/protobuf/struct.proto\"\'\n\x10WorkflowDeployed\x12\x13\n\x0bworkflow_id\x18\x01 \x01(\t\"8\n\x12WorkflowUndeployed\x12\x13\n\x0bworkflow_id\x18\x01 \x01(\t\x12\r\n\x05\x65rror\x18\x02 \x01(\t\"\xad\x04\n\x06\x44\x65ploy\x12\n\n\x02id\x18\x01 \x01(\t\x12\x0c\n\x04name\x18\x02 \x01(\t\x12\x0f\n\x07version\x18\x03 \x01(\t\x12\x17\n\x0f\x63ontainer_image\x18\x04 \x01(\t\x12!\n\x04kind\x18\x05 \x01(\x0e\x32\x13.runner.Deploy.Kind\x12*\n\tlog_level\x18\x06 \x01(\x0e\x32\x17.runner.Deploy.LogLevel\x12+\n\tresources\x18\x07 \x01(\x0b\x32\x18.runner.Deploy.Resources\x12\x16\n\x0e\x65xecution_type\x18\x08 \x01(\t\x12\x17\n\x0f\x64\x65ployment_type\x18\t \x01(\t\x12+\n\nparameters\x18\n \x01(\x0b\x32\x17.google.protobuf.Struct\x12\x16\n\x0enode_pool_name\x18\x0b \x01(\t\x1a{\n\tResources\x12\x10\n\x03\x63pu\x18\x01 \x01(\x02H\x00\x88\x01\x01\x12\x13\n\x06memory\x18\x02 \x01(\x03H\x01\x88\x01\x01\x12\x11\n\x04time\x18\x03 \x01(\x02H\x02\x88\x01\x01\x12\x10\n\x03gpu\x18\x04 \x01(\x03H\x03\x88\x01\x01\x42\x06\n\x04_cpuB\t\n\x07_memoryB\x07\n\x05_timeB\x06\n\x04_gpu\"\x1f\n\x04Kind\x12\n\n\x06\x41\x43TION\x10\x00\x12\x0b\n\x07TRIGGER\x10\x01\"O\n\x08LogLevel\x12\x08\n\x04NONE\x10\x00\x12\t\n\x05\x44\x45\x42UG\x10\n\x12\x08\n\x04INFO\x10\x14\x12\x0b\n\x07WARNING\x10\x1e\x12\t\n\x05\x45RROR\x10(\x12\x0c\n\x08\x43RITICAL\x10\x32\"+\n\x12GetDeploymentState\x12\x15\n\rdeployment_id\x18\x01 \x01(\t\")\n\x11GetExecutionState\x12\x14\n\x0c\x65xecution_id\x18\x01 \x01(\t\"\xb2\x03\n\x0eStartExecution\x12\x14\n\x0c\x65xecution_id\x18\x01 \x01(\t\x12\x15\n\rdeployment_id\x18\x02 \x01(\t\x12?\n\x12inputs_definitions\x18\x03 \x03(\x0b\x32#.runner.StartExecution.IODefinition\x12@\n\x13outputs_definitions\x18\x04 \x03(\x0b\x32#.runner.StartExecution.IODefinition\x12\'\n\x06inputs\x18\x05 \x01(\x0b\x32\x17.google.protobuf.Struct\x12\x16\n\x0etime_allotment\x18\x06 \x01(\x04\x1a[\n\x0cIODefinition\x12\x0c\n\x04name\x18\x01 \x01(\t\x12+\n\x04type\x18\x02 \x01(\x0e\x32\x1d.runner.StartExecution.IOType\x12\x10\n\x08optional\x18\x08 \x01(\x08\"R\n\x06IOType\x12\x0b\n\x07\x42OOLEAN\x10\x00\x12\n\n\x06STRING\x10\x01\x12\x0b\n\x07INTEGER\x10\x02\x12\t\n\x05\x46LOAT\x10\x03\x12\x08\n\x04\x46ILE\x10\x06\x12\r\n\tDIRECTORY\x10\x07\"%\n\rStopExecution\x12\x14\n\x0c\x65xecution_id\x18\x01 \x01(\t\"\x16\n\x08Undeploy\x12\n\n\x02id\x18\x01 \x01(\t\"9\n\rInitTaskReply\x12\x17\n\x0fworkflow_run_id\x18\x01 \x01(\t\x12\x0f\n\x07task_id\x18\x02 \x01(\t\"H\n\rRegisterReply\x12\x14\n\x07site_id\x18\x01 \x01(\tH\x00\x88\x01\x01\x12\x15\n\rerror_message\x18\x02 \x01(\tB\n\n\x08_site_id\"G\n\x17RecommendationsVPAReply\x12\x1a\n\rerror_message\x18\x01 \x01(\tH\x00\x88\x01\x01\x42\x10\n\x0e_error_messageb\x06proto3')

_globals = globals()
_builder.BuildMessageAndEnumDescriptors(DESCRIPTOR, _globals)
_builder.BuildTopDescriptorsAndMessages(DESCRIPTOR, 'ryax.common.infrastructure.messaging.messages.runner_messages_pb2', _globals)
if _descriptor._USE_C_DESCRIPTORS == False:
  DESCRIPTOR._options = None
  _globals['_WORKFLOWDEPLOYED']._serialized_start=109
  _globals['_WORKFLOWDEPLOYED']._serialized_end=148
  _globals['_WORKFLOWUNDEPLOYED']._serialized_start=150
  _globals['_WORKFLOWUNDEPLOYED']._serialized_end=206
  _globals['_DEPLOY']._serialized_start=209
  _globals['_DEPLOY']._serialized_end=766
  _globals['_DEPLOY_RESOURCES']._serialized_start=529
  _globals['_DEPLOY_RESOURCES']._serialized_end=652
  _globals['_DEPLOY_KIND']._serialized_start=654
  _globals['_DEPLOY_KIND']._serialized_end=685
  _globals['_DEPLOY_LOGLEVEL']._serialized_start=687
  _globals['_DEPLOY_LOGLEVEL']._serialized_end=766
  _globals['_GETDEPLOYMENTSTATE']._serialized_start=768
  _globals['_GETDEPLOYMENTSTATE']._serialized_end=811
  _globals['_GETEXECUTIONSTATE']._serialized_start=813
  _globals['_GETEXECUTIONSTATE']._serialized_end=854
  _globals['_STARTEXECUTION']._serialized_start=857
  _globals['_STARTEXECUTION']._serialized_end=1291
  _globals['_STARTEXECUTION_IODEFINITION']._serialized_start=1116
  _globals['_STARTEXECUTION_IODEFINITION']._serialized_end=1207
  _globals['_STARTEXECUTION_IOTYPE']._serialized_start=1209
  _globals['_STARTEXECUTION_IOTYPE']._serialized_end=1291
  _globals['_STOPEXECUTION']._serialized_start=1293
  _globals['_STOPEXECUTION']._serialized_end=1330
  _globals['_UNDEPLOY']._serialized_start=1332
  _globals['_UNDEPLOY']._serialized_end=1354
  _globals['_INITTASKREPLY']._serialized_start=1356
  _globals['_INITTASKREPLY']._serialized_end=1413
  _globals['_REGISTERREPLY']._serialized_start=1415
  _globals['_REGISTERREPLY']._serialized_end=1487
  _globals['_RECOMMENDATIONSVPAREPLY']._serialized_start=1489
  _globals['_RECOMMENDATIONSVPAREPLY']._serialized_end=1560
# @@protoc_insertion_point(module_scope)
